Sets the connections weight

- « FANNConnection::getWeight

- Igbinary »

- PHP Manual
- FANNConnection
- Sets the connections weight

# FANNConnection::setWeight

(PECL fann >= 1.0.0)

FANNConnection::setWeight — Sets the connections weight

### Description

public FANNConnection::setWeight(float `$weight`): void

Sets the connection weight.

This method is different than fann_set_weight(). It does not update the weight value in the network. The network value is updated only after calling fann_set_weight_array().

### Parameters

`weight`

  The connection weight.

### Return Values

No value is returned.